package org.fabric3.itest;

import java.util.Collection;

import org.osoa.sca.annotations.Reference;

import org.fabric3.spi.services.artifact.Artifact;
import org.fabric3.spi.services.artifact.ArtifactRepository;

/**
 * @version $Rev: 36 $ $Date: 2007-05-16 15:45:00 +0100 (Wed, 16 May 2007) $
 */
public class MavenDelegateArtifactRepository implements ArtifactRepository {
    private final ArtifactRepository artifactRepository;

    public MavenDelegateArtifactRepository(@Reference MavenHostInfo hostInfo) {
        artifactRepository = hostInfo.getArtifactRepository();
    }

    public void resolve(Artifact artifact) {
        artifactRepository.resolve(artifact);
    }

    public void resolve(Collection<? extends Artifact> artifacts) {
        artifactRepository.resolve(artifacts);
    }
}
